PhpSysInfo



  • Wondering when this package will update to the newer version that is out.  I talked to guy that wrote it and he said I can't hook my Android app he made to 2.5 version, it needs to be 3.0.



  • No idea about making this new version? To update the package in Pfsense to have the authors later version?



  • I too am interested



  • One reason is because they have Android app that you can check your Pfsense firewall from it..

    But talking to the guy that wrote PHPsysinfo he said I need 3.0 version to use this app

    http://rk4an.github.io/psiandroid/

    The link is the android APP to talk to phpsysinfo 3.0 or higher.. Pfsense stats from your phone if we can get new version



  • I've been interested in an updated phpsysinfo also.. I tried to manually install one of the newer versions, and it did not go well.. If I have time, I may give porting it over a try, but this will be my first pfsense package, so… LOL

    UPDATE

    I have extracted the current version, 3.1.2, to a sub dir in the phpsysinfo dir, for testing.. Here is what I am getting..

    I am currently running 2.0.2-RELEASE. I will try the same on my 2.1-BETA test VM later today, and update again.

    -- snip --
    This XML file does not appear to have any style information associated with it. The document tree is shown below.
    <phpsysinfo><error><function>checkForExtensions</function>
    <message>phpSysInfo requires the dom extension to php in order to work properly.</message></error></phpsysinfo>
    -- snip end --

    ** Update 2 **

    So 2.1-BETA w/ PHPSysinfo 3.1.2 extracted to a test dir under original phpsysinfo dir, works w/o any issues at all..



  • So the config file for phpsysinfo 3.1.2 is no longer config.php, it is now phpsysinfo.ini, so the phpsysinfo.inc file will def have to be updated.. I will try to see what I can come up with, but I'm in no way an experienced pfsense package builder..



  • I figured out something.
    I went to sourceforge got the 3.1.2 version.  Deleted the whole usr/local/www/phpsysinfo folder. Then untar the file I got from sourceforge.  Seen it put all files in /usr/local/www/phpsysinfo-3.1.2 …. so I fixed that.. Then I ran from Pfsense and hit save settings. I got same old version.  I deleted and did again this time NOT saving config using PFsense GUI.. but edited the sample config they give in the TAR.  I got it to run.



  • Ok here I got it all working except the setting page of the PFsense UI

    Need this tool to get the fan,temp readings to work for me.

    In ssh terminal:
    pkg_add -v http://files.pfsense.com/packages/amd64/8/All/mbmon-205_5.tbz

    Then I use Filemanager plugin to upload this file http://db.tt/HJ6O2eqr to the /usr/local/www folder
    I use filemanager to delete the current phpsysinfo folder there

    I run
    tar xvzf phpsysinfo.tgz

    I put the config setting file in there all setup.  Only thing you need to NOT do is never save setting using the PFsense phpsysinfo settings page till someone fixes that.



  • I do want to mention I run AMD64 version so the PKG_ADD is pointing to the AMD64 version not 386 one.  I do not have the link for 386 files at the moment.

    So pkg_add -v http://files.pfsense.com/packages/amd64/8/All/mbmon-205_5.tbz is only part that I can see might cause you problems. Only if you run 386 version



  • @Topper727:

    I figured out something.
    I went to sourceforge got the 3.1.2 version.  Deleted the whole usr/local/www/phpsysinfo folder. Then untar the file I got from sourceforge.  Seen it put all files in /usr/local/www/phpsysinfo-3.1.2 …. so I fixed that.. Then I ran from Pfsense and hit save settings. I got same old version.   I deleted and did again this time NOT saving config using PFsense GUI.. but edited the sample config they give in the TAR.  I got it to run.

    What version Pfsense are you running ?



  • Sorry

    2.1-BETA1 (amd64)
    built on Sun Apr 7 15:01:26 EDT 2013
    FreeBSD 8.3-RELEASE-p7



  • Ok, so I have edited the .xml/.inc files.. Here are all 3 files that are needed.. Remember this update will ONLY work on 2.1-BETA+. It DOES NOT work on 2.0.x or before. If anyone finds anything wrong, please let me know.. This is my first attempt at updating a package.. Well, looks like I can't attach the files to this post, so there is a link to them. I've also placed the 3 files individually in the same directory. Hopefully someone that has access to put these files onto the main server will see this post, and take care of getting these files uploaded for me. Oh, and the phpsysinfo-3.1.2.tar.gz file will need to have the pfsense template added to it, as I did not update the tar file.

    http://pfsense.xboxapps.org/phpsysinfo4pfsense2.1-BETA.rar

    Original URL for phpsysinfo.

    https://github.com/rk4an/phpsysinfo/archive/v3.1.2.tar.gz



  • I wanted to try yours..
    pkg_add -r http://pfsense.xboxapps.org/phpsysinfo4pfsense2.1-BETA.rar

    GOT

    Fetching http://pfsense.xboxapps.org/phpsysinfo4pfsense2.1-BETA.rar…tar: Unrecognized archive format
    tar: Error exit delayed from previous errors.
    Done.
    pkg_add: unable to open table of contents file '+CONTENTS' - not a package?

    I missed the fact that you made it RAR not TAR.  I fix that
    Ah but can't upload here. 300k max I can. It is 516K.

    pkg_add -r http://bit.ly/10XL0m3

    Can't seem to get a link to put in pkg_add so it works..

    How do you install this



  • @Topper727:

    I wanted to try yours..
    pkg_add -r http://pfsense.xboxapps.org/phpsysinfo4pfsense2.1-BETA.rar

    GOT

    Fetching http://pfsense.xboxapps.org/phpsysinfo4pfsense2.1-BETA.rar…tar: Unrecognized archive format
    tar: Error exit delayed from previous errors.
    Done.
    pkg_add: unable to open table of contents file '+CONTENTS' - not a package?

    I missed the fact that you made it RAR not TAR.  I fix that
    Ah but can't upload here. 300k max I can. It is 516K.

    pkg_add -r http://bit.ly/10XL0m3

    Can't seem to get a link to put in pkg_add so it works..

    How do you install this

    Mine is manual install, I added all the files for pfSense dev, so that they could assist w/ getting it added to the repo.. I will try to setup my own repo later tonight when I get back to work, at that point, we should just be able to use the alternate package repo method to add it.. Until then, you will need to manually install it all. The rar file has all 3 files inside of it, which are needed by dev to get it up on the package repo, since I was not able to attach it to the post. I'll update when I have the repo setup, and we can go from there.



  • ok sounds good. Thank you



  • Ok, repo is up.. http://pfsense.xboxapps.org/

    Hopefully everything is setup correctly.. I have a feeling that .php exts are not disabled in packages dir tho.. let me know if you have any issues. Repo is up to date as of 4/22/13 18:45 PST



  • Well I have everything setup for the repo, according to http://doc.pfsense.org/index.php/Creating_Your_Own_Package_Repository, but for some reason I keep getting the following error message.. "Unable to retrieve package info from pfsense.xboxapps.org. Cached data will be used."

    I am at a loss of what I am doing wrong at this point. Hopefully someone can shed some light on this for me..



  • Same problem I just had.. Not sure why it failing.. Will look at something and get back to you later.


Log in to reply